as.htest {cocor} | R Documentation

## Convert to a list of class 'htest'

### Description

Convert a cocor result object of class 'cocor.indep.groups', 'cocor.dep.groups.overlap', or 'cocor.dep.groups.nonoverlap' to a list of class 'htest'.

### Usage

    as.htest(result.object)

    ## S4 method for signature 'cocor'
    as.htest(result.object)

### Arguments

`result.object` | A cocor result object of class 'cocor.indep.groups', 'cocor.dep.groups.overlap', or 'cocor.dep.groups.nonoverlap'.

### Value

Returns a list containing a list of class 'htest' for the result of each test with the following elements:

`data.name` | A character string giving the names of the data.
`estimate` | The two correlations that have been compared and the related correlations.
`method` | A character string indicating the performed test.
`null.value` | The specified hypothesized value of the difference between the two correlations.
`alternative` | A character string describing the alternative hypothesis.
`parameter` | The degrees of freedom of the distribution of the test statistic.
`statistic` | The value of the test statistic.
`p.value` | The p-value of the test.
`conf.int` | The confidence interval of the difference between the two correlations.

### See Also

cocor, cocor.indep.groups, cocor.dep.groups.overlap, cocor.dep.groups.nonoverlap

### Examples

    data("aptitude")

    cocor.result <- cocor(~knowledge + intelligence.a | logic + intelligence.a,
          aptitude$sample1)
    as.htest(cocor.result)

[Package cocor version 1.1-3 Index]